/** 
  External user interface for serial.c
  
  Orion Sky Lawlor, olawlor@acm.org, 2004/1/14
*/

/** This pin is where serial input comes in (CPU's transmit) 
   Feel free to configure this to use any pin you like!
*/
#define SerialInputRegister GPIO
#define SerialInputRegisterAsm _GPIO
#define SerialInputBit 5 /* bit of input register */

/** This is the serial output pin (CPU's receive)
  Again, you can use any I/O you like.
*/
#define SerialOutputRegister GPIO
#define SerialOutputRegisterAsm _GPIO
#define SerialOutputBit 4 /* bit of output register */

/** Serial line value for logic 1 (for RS-232, use zero!)*/
#define SerialLineHigh 0
/** Serial line value for logic 0 */
#define SerialLineLow (!SerialLineHigh)

/** Enable parity bit sending and testing */
#define SerialParityEnabled 1

/** Receive a byte of serial data, including framing. */
void SerialRecvByte(void);

/** Byte of data recvd off the wire. */
extern unsigned char SerialRecvData;

/** Parity or framing error-- bad news!  (user routine) */
void SerialRecvBad(void);

/**
 Send the byte SerialDataByte over the serial line, including framing.
*/
void SerialSendByte(unsigned char data);
